apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: coder-oidc-secret-external
  namespace: coder
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: gitlab-secret-store
  target:
    name: coder-oidc-secret
    creationPolicy: Owner
  data:
    - secretKey: CODER_OIDC_CLIENT_ID
      remoteRef:
        key: CODER_OIDC_CLIENT_ID
    - secretKey: CODER_OIDC_CLIENT_SECRET
      remoteRef:
        key: CODER_OIDC_CLIENT_SECRET
